solver_plan_double Struct Reference

data structure for an inverse NFFT plan with double precision More...

`#include <nfft3.h>`

Collaboration diagram for solver_plan_double:
[legend]

## Data Fields

nfft_mv_plan_double * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
double * | w
| weighting factors
double * | w_hat
| damping factors
double * | y
| right hand side, samples
double * | f_hat_iter
| iterative solution
double * | r_iter
| iterated residual vector
double * | z_hat_iter
| residual of normal equation of first kind
double * | p_hat_iter
| search direction
double * | v_iter
| residual vector update
double | alpha_iter
| step size for search direction
double | beta_iter
| step size for search correction
double | dot_r_iter
| weighted dotproduct of r_iter
double | dot_r_iter_old
| previous dot_r_iter
double | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
double | dot_z_hat_iter_old
| previous dot_z_hat_iter
double | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
double | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with double precision

Definition at line 783 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h